pcl::BoundingBoxXYZ Struct Reference

`#include <pcl/recognition/linemod/line_rgbd.h>`

## Public Member Functions

| BoundingBoxXYZ ()
| Constructor. More...

## Public Attributes

float | x
| X-coordinate of the upper left front point. More...
float | y
| Y-coordinate of the upper left front point. More...
float | z
| Z-coordinate of the upper left front point. More...
float | width
| Width of the bounding box. More...
float | height
| Height of the bounding box. More...
float | depth
| Depth of the bounding box. More...

## Detailed Description

Definition at line 48 of file line_rgbd.h.

## Constructor & Destructor Documentation

## BoundingBoxXYZ()

pcl::BoundingBoxXYZ::BoundingBoxXYZ | ( |  | ) |

inline

Constructor.

Definition at line 51 of file line_rgbd.h.

## Member Data Documentation

## depth

float pcl::BoundingBoxXYZ::depth

Depth of the bounding box.

Definition at line 65 of file line_rgbd.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::addTemplate(), pcl::LineRGBD< PointXYZT, PointRGBT >::computeBoundingBoxIntersectionVolume(), pcl::LineRGBD< PointXYZT, PointRGBT >::createAndAddTemplate(), pcl::LineRGBD< PointXYZT, PointRGBT >::loadTemplates(), pcl::LineRGBD< PointXYZT, PointRGBT >::refineDetectionsAlongDepth(), and pcl::LineRGBD< PointXYZT, PointRGBT >::removeOverlappingDetections().

## height

float pcl::BoundingBoxXYZ::height

Height of the bounding box.

Definition at line 63 of file line_rgbd.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::addTemplate(), pcl::LineRGBD< PointXYZT, PointRGBT >::computeBoundingBoxIntersectionVolume(), pcl::LineRGBD< PointXYZT, PointRGBT >::createAndAddTemplate(), pcl::LineRGBD< PointXYZT, PointRGBT >::loadTemplates(), and pcl::LineRGBD< PointXYZT, PointRGBT >::removeOverlappingDetections().

## width

float pcl::BoundingBoxXYZ::width

Width of the bounding box.

Definition at line 61 of file line_rgbd.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::addTemplate(), pcl::LineRGBD< PointXYZT, PointRGBT >::computeBoundingBoxIntersectionVolume(), pcl::LineRGBD< PointXYZT, PointRGBT >::createAndAddTemplate(), pcl::LineRGBD< PointXYZT, PointRGBT >::loadTemplates(), and pcl::LineRGBD< PointXYZT, PointRGBT >::removeOverlappingDetections().

## x

float pcl::BoundingBoxXYZ::x

X-coordinate of the upper left front point.

Definition at line 54 of file line_rgbd.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::addTemplate(), pcl::LineRGBD< PointXYZT, PointRGBT >::computeBoundingBoxIntersectionVolume(), pcl::LineRGBD< PointXYZT, PointRGBT >::computeTransformedTemplatePoints(), pcl::LineRGBD< PointXYZT, PointRGBT >::createAndAddTemplate(), pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant(), pcl::LineRGBD< PointXYZT, PointRGBT >::loadTemplates(), and pcl::LineRGBD< PointXYZT, PointRGBT >::removeOverlappingDetections().

## y

float pcl::BoundingBoxXYZ::y

Y-coordinate of the upper left front point.

Definition at line 56 of file line_rgbd.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::addTemplate(), pcl::LineRGBD< PointXYZT, PointRGBT >::computeBoundingBoxIntersectionVolume(), pcl::LineRGBD< PointXYZT, PointRGBT >::computeTransformedTemplatePoints(), pcl::LineRGBD< PointXYZT, PointRGBT >::createAndAddTemplate(), pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant(), pcl::LineRGBD< PointXYZT, PointRGBT >::loadTemplates(), and pcl::LineRGBD< PointXYZT, PointRGBT >::removeOverlappingDetections().

## z

float pcl::BoundingBoxXYZ::z

Z-coordinate of the upper left front point.

Definition at line 58 of file line_rgbd.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::addTemplate(), pcl::LineRGBD< PointXYZT, PointRGBT >::applyProjectiveDepthICPOnDetections(), pcl::LineRGBD< PointXYZT, PointRGBT >::computeBoundingBoxIntersectionVolume(), pcl::LineRGBD< PointXYZT, PointRGBT >::computeTransformedTemplatePoints(), pcl::LineRGBD< PointXYZT, PointRGBT >::createAndAddTemplate(), pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant(), pcl::LineRGBD< PointXYZT, PointRGBT >::loadTemplates(), pcl::LineRGBD< PointXYZT, PointRGBT >::refineDetectionsAlongDepth(), and pcl::LineRGBD< PointXYZT, PointRGBT >::removeOverlappingDetections().

The documentation for this struct was generated from the following file:

- pcl/recognition/linemod/line_rgbd.h